Bug 1627855 - VirtualBox-5.2-5.2.18_124319_fedora26-1.x86_64.rpm manual install - nothing provides libvpx.so.4
Summary: VirtualBox-5.2-5.2.18_124319_fedora26-1.x86_64.rpm manual install - nothing p...
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: libvpx   
(Show other bugs)
Version: 29
Hardware: All Linux
unspecified
high
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-11 17:15 UTC by Michael Erwin
Modified: 2018-11-01 06:11 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-09-17 14:30:20 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Erwin 2018-09-11 17:15:27 UTC
Description of problem:
Testing Nested VMs. Manually installing VirtualBox after upgrading f29 Fedora-Workstation-Live-x86_64-29-20180910.n.0.iso with sudo dnf upgrade




Version-Release number of selected component (if applicable):

VirtualBox-5.2-5.2.18_124319_fedora26-1.x86_64.rpm

libvpx-1.7.0-7.fc29.x86_64

How reproducible: very


Steps to Reproduce:
1.
2.
3.

Actual results:

cd Downloads
[michael@localhost Downloads]$ ls -l
total 70584
-rw-rw-r--. 1 michael michael 72274586 Sep 11 12:51 VirtualBox-5.2-5.2.18_124319_fedora26-1.x86_64.rpm
[michael@localhost Downloads]$ sudo dnf install VirtualBox-5.2-5.2.18_124319_fedora26-1.x86_64.rpm
[sudo] password for michael: 
Last metadata expiration check: 0:53:15 ago on Tue 11 Sep 2018 12:02:16 PM EDT.
Error: 
 Problem: conflicting requests
  - nothing provides libvpx.so.4()(64bit) needed by VirtualBox-5.2-5.2.18_124319_fedora26-1.x86_64
[michael@localhost Downloads]$ sudo dnf install libvpx
Last metadata expiration check: 0:56:08 ago on Tue 11 Sep 2018 12:02:16 PM EDT.
Package libvpx-1.7.0-7.fc29.x86_64 is already installed, skipping.
Dependencies resolved.
Nothing to do.
Complete!

Expected results:


Additional info:

Comment 1 Tom "spot" Callaway 2018-09-17 14:30:20 UTC
Not much I can do here. VirtualBox needs to be rebuilt.

Comment 2 Michael Erwin 2018-09-17 15:15:34 UTC
Thanks Tom... I'll reach out to VB team & file a bug against that

Comment 3 Michael Erwin 2018-09-17 16:08:47 UTC
Oracle VB Bug Created

Comment 4 Andre Robatino 2018-10-27 19:12:33 UTC
(In reply to Michael Erwin from comment #3)
> Oracle VB Bug Created

I can't find your bug. Can you give the URL?

Comment 5 xuthus 2018-11-01 06:11:29 UTC
 Libvpx packages need to be downgraded. https://www.virtualbox.org/ticket/16038


Note You need to log in before you can comment on or make changes to this bug.